<div class="col-lg-12 animated fadeInRight list-payment-extra">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div>
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Promo Code Transaction</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row">
              <div class="row">
                <div class="col-sm-3 col-md-3">
                  <input [(ngModel)]="selectedMoment" name="start_date" [owlDateTimeTrigger]="dtPicker1"
                    [owlDateTime]="dtPicker1" placeholder="Start Date" value="{{selectedMoment | date:'yyyy-MM-dd'}}"
                    class="form-control" [max]="max" (click)="clearEndTime()">
                  <owl-date-time #dtPicker1 (click)="clearEndTime"></owl-date-time>
                  <br />
                </div>

                <div class="col-sm-3 col-md-3">
                  <input [(ngModel)]="selectedMoment1" name="end_date" [owlDateTimeTrigger]="dtPicker2"
                    [owlDateTime]="dtPicker2" [min]="selectedMoment" [max]="max" placeholder="End Date"
                    class="form-control">
                  <owl-date-time #dtPicker2></owl-date-time>
                  <br />
                </div>
                <div class="col-sm-3 col-md-3">
                  <input matInput name="user_id" [(ngModel)]="customer_id" class="form-control" aria-label="string"
                    [formControl]="customer" [matAutocomplete]="itemAuto2" placeholder="Phone number">
                  <mat-autocomplete #itemAuto2="matAutocomplete" [displayWith]="displayCustomerFn">
                    <mat-option [value]="item" *ngFor="let item of customerPhoneData">
                      {{ item.phone_number }}
                    </mat-option>
                    <mat-option *ngIf="customerPhoneData?.length==0">No Matches Found</mat-option>
                  </mat-autocomplete>
                  <br />
                </div>
                <div class="col-sm-3 col-md-3">
                  <input [(ngModel)]="validFrom" [owlDateTimeTrigger]="dtPicker3" [owlDateTime]="dtPicker3"
                    placeholder="Promo Valid From" value="{{validFrom | date:'yyyy-MM-dd'}}" class="form-control"
                    (click)="clearEndTime()">
                  <owl-date-time #dtPicker3 (click)="clearEndTime"></owl-date-time>
                  <br />
                </div>

                <div class="col-sm-3 col-md-3">
                  <input [(ngModel)]="validTo" [owlDateTimeTrigger]="dtPicker4" [owlDateTime]="dtPicker4"
                    [min]="validFrom" placeholder="Promo Valid To" class="form-control">
                  <owl-date-time #dtPicker4></owl-date-time>
                </div>

                <div class="col-sm-3 col-md-3">
                  <input type="number" class="form-control" placeholder="Maximum Discount From" [(ngModel)]="mDAF" />
                  <span class="error-message">{{errorMessage.mDAF}}</span>
                </div>
                <div class="col-sm-3 col-md-3">
                  <input type="number" class="form-control" [min]="mDAF" placeholder="Maximum Discount TO"
                    [(ngModel)]="mDAT" />
                  <span class="error-message">{{errorMessage.mDAT}}</span>
                </div>
                <div class="col-sm-3">
                  <input type="number" class="form-control" placeholder="Discount From" [(ngModel)]="DAF" />
                  <span class="error-message">{{errorMessage.DAF}}</span>
                </div>
                <div class="col-sm-2 col-md-2">
                  <input type="number" class="form-control" placeholder="Discount To" [(ngModel)]="DAT" />
                  <span class="error-message">{{errorMessage.DAT}}</span>
                </div>
                <div class="col-sm-2 col-md-2">
                  <input type="number" class="form-control" placeholder="Usage limit From" [(ngModel)]="uLF" />
                  <span class="error-message">{{errorMessage.uLF}}</span>
                </div>
                <div class="col-sm-2 col-md-2">
                  <input type="number" class="form-control" placeholder="Usage limit To" [(ngModel)]="uLT" />
                  <span class="error-message">{{errorMessage.uLT}}</span>
                </div>
                <div class="col-sm-2 col-md-2">
                  <input type="number" class="form-control" placeholder="Total Usage Limit From" [(ngModel)]="tULF" />
                  <span class="error-message">{{errorMessage.tULF}}</span>
                </div>
                <div class="col-sm-2 col-md-2">
                  <input type="number" class="form-control" placeholder="Total Usage Limit To" [(ngModel)]="tULT" />
                  <span class="error-message">{{errorMessage.tULT}}</span>
                </div>

                <div class="col-sm-2 col-md-2 text-center" *ngIf="dtc">
                  <mat-select [(ngModel)]="company_id_list" placeholder="Company" class="form-control"
                    [ngModelOptions]="{standalone: true}" multiple>
                    <mat-option *ngFor="let company of companyData" [value]="company._id">
                      {{company.company_name}}
                    </mat-option>
                  </mat-select>
                </div>
                <div class="col-sm-3" *ngIf="dtc">
                  <mat-chip-list #chipList1>
                    <mat-chip *ngFor="let promo of promo_chips" selectable removable (removed)="removePChip(promo)"
                      style="font-size:10px;">
                      {{promo.promo_name}}
                      <mat-icon matChipRemove class="fa fa-times-circle"></mat-icon>
                    </mat-chip>
                    <input matInput placeholder="Promo code" class="form-control" [formControl]="promo_code"
                      aria-label="Vehicle" [matChipInputFor]="chipList1" [matAutocomplete]="promo"
                      (ngModelChange)="pChipselected($event)">
                  </mat-chip-list>
                  <mat-autocomplete #promo="matAutocomplete" [displayWith]="displayFnPromo">
                    <mat-option *ngFor="let promo of promo_list" [value]="promo">
                      {{ promo.promo_name }}
                    </mat-option>
                  </mat-autocomplete>
                </div>
                <div class="text-right" [ngClass]="{'col-sm-9':dtc,'col-sm-12':!dtc}">
                    <span matTooltip="CSV">
                        <img src="assets/img/csv.png" (click)="createCsv()" alt="csv"/>
                    </span>
                  <button type="get" (click)="searchPromoTransactions()" class="btn btn-sm btn-primary blue"> <i aria-hidden="true"
                      class="fa fa-search"></i>
                    Search</button>
                  <button class="btn btn-sm btn-primary green" (click)="getPromocodes()"><i aria-hidden="true" class="fa fa-refresh"></i>
                    Refresh</button>
                  <button class="btn btn-sm btn-primary red" (click)="reset()"><i aria-hidden="true" class="fa fa-eraser"></i> Reset
                    filters</button>
                </div>
              </div>
            </div>

            <div class="payment-cal-outer">

              <div class="payment-cal-table table-responsive">
                <div style="float:right;border-left:1px dotted #fff;padding:0 20px;">
                  <table aria-describedby="Manage Company" class="sum_table">
                    <tbody>
                      <tr>
                        <th scope="col" class="sum_table_headers">Total Amount without promocode</th>
                        <td *ngIf="promoDetails.length==0">NA</td>
                        <td *ngIf="promoDetails[0]">
                          {{promoDetails[0].total_order_amount && promoDetails[0].total_discounted?getSum(promoDetails[0].total_order_amount.$numberDecimal,promoDetails[0].total_discounted.$numberDecimal):0}}
                        </td>
                      </tr>
                      <tr>
                        <th scope="col" class="sum_table_headers">Total Amount with promocode</th>
                        <td *ngIf="promoDetails.length==0">NA</td>
                        <td *ngIf="promoDetails[0]">
                          {{promoDetails[0].total_order_amount && promoDetails[0].total_discounted?promoDetails[0].total_order_amount.$numberDecimal:0}}
                        </td>
                      </tr>
                      <tr>
                        <th scope="col" class="sum_table_headers">Total Disounted Amount</th>
                        <td *ngIf="promoDetails.length==0">NA</td>
                        <td *ngIf="promoDetails[0]">
                          {{promoDetails[0].total_discounted?promoDetails[0].total_discounted.$numberDecimal*-1:0}}</td>
                      </tr>
                      <tr>
                        <th scope="col" class="sum_table_headers">Total trips completed</th>
                        <td *ngIf="promoDetails.length==0">NA</td>
                        <td *ngIf="promoDetails[0]">
                          {{promoDetails[0].promo_completed_trips?promoDetails[0].promo_completed_trips:0}}</td>
                      </tr>

                      <tr>
                        <th scope="col" class="sum_table_headers">Discount percentage</th>
                        <td *ngIf="promoDetails.length==0">NA</td>
                        <td *ngIf="promoDetails[0]">
                          {{promoDetails[0].total_order_amount && promoDetails[0].total_discounted?getPercentage(promoDetails[0].total_discounted.$numberDecimal,promoDetails[0].total_order_amount.$numberDecimal)+'%':0}}
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>

            <div class="ibox-content">
              <div class="table-responsive custom-table">
                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive zoom" id="orders_table">
                  <thead>
                    <tr>
                      <th scope="col" *ngIf="dtc">Promo code </th>
                      <th scope="col">RefNo/Budget</th>
                      <th scope="col">Customer Name </th>
                      <th scope="col">Customer Phone </th>
                      <th scope="col">Order id</th>
                      <th scope="col" style="width:100px">Order amount with promo</th>
                      <th scope="col" style="width:100px">Discounted amount</th>
                      <th scope="col">Promo status</th>
                      <th scope="col">Date </th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchSubmit">
                      <img class="loader-img" src="assets/img/loader.gif" alt="loader"/>
                    </span>
                    <tr *ngFor="let code of promoCodeData">
                      <td *ngIf="dtc">{{code.promo_info_id?code.promo_info_id.promo_code:'' }}</td>
                      <td>{{code.promo_info_id?code.promo_info_id.promo_ref:'' }}</td>
                      <td (click)="code.customers.length<0|| customerDetails(code.customers[0]._id)"
                        [ngClass]="{'clickable':code.customers.length>0}">
                        {{code.customers.length>0?code.customers[0].firstname:'' }}{{code.customers.length>0?code.customers[0].lastname:'' }}
                      </td>
                      <td (click)="code.customers.length<0|| customerDetails(code.customers[0]._id)"
                        [ngClass]="{'clickable':code.customers.length>0}">
                        {{code.customers.length>0?code.customers[0].phone_number:'NA'}}
                      </td>
                      <td (click)="!code.order_info_id || orderDetails(code.order_info_id.unique_order_id)"
                        [ngClass]="{'clickable':code.order_info_id}">
                        {{code.order_info_id?code.order_info_id.unique_order_id:'NA'}}
                      </td>
                      <td>
                        {{code.order_info_id && code.order_info_id.order_status=='completed'?code.order_info_id.price:'NA'}}
                      </td>
                      <td>
                        <div *ngIf="code.synctrips[0] && code.synctrips[0].trip_status=='completed' else discount">
                          <div *ngFor="let amtSplitupValue of code.synctrips[0].amt_splitup">
                            <span *ngIf="amtSplitupValue.id=='A008';">
                              {{amtSplitupValue.amt ? amtSplitupValue.amt*-1 :''}}
                            </span>
                          </div>
                        </div>
                        <ng-template #discount>
                          NA
                        </ng-template>
                      </td>
                      <td>{{code.applied_status}}</td>
                      <td>{{code.created_at}}</td>
                    </tr>
                  </tbody>
                </table>
                <br>
                <div class="container-fluid" *ngIf="promoCodeLength > 0">
                  <div class="row col-md-12 text-center">
                    <div class="dataTables_info1">
                      <ngb-pagination [collectionSize]="promoCodeLength" (pageChange)="pagingAgent($event)" [page]="pNo"
                        [pageSize]="itemsPerPage" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                      </ngb-pagination>
                    </div>
                  </div>
                </div>
                <div class="container-fluid" *ngIf="promoCodeLength==0">
                  <div class="row">
                    <div class="dataTables_info1">
                      <div class="col-md-12 text-center form-group">
                        No records found
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>